Page MenuHomePhabricator

[Task] Implement "Value only constraint"
Closed, ResolvedPublic

Description

Someone defined a "Value only" constraint in the templates, probably meaning properties wioth this constraint aren't allowed to be used as qualifiers or reference.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterUpdate method names in ValueOnlyCheckerTest
mediawiki/extensions/WikibaseQualityConstraints : masterAdd “used as value only” constraint type

Event Timeline

Jonaskeutel raised the priority of this task from to Low.
Jonaskeutel updated the task description. (Show Details)
Jonaskeutel added a subscriber: Jonaskeutel.
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 17 2015, 8:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tamslo set Security to None.
Tamslo moved this task from Backlog to WBQC Backlog on the Wikibase-Quality board.Jun 19 2015, 2:52 PM
Lydia_Pintscher renamed this task from Implement "Value only constraint" to [Task] Implement "Value only constraint".Aug 17 2015, 4:12 PM

Some properties should only be used either as a value or as a source, but we don't have a constraint for that yet. Maybe instead of having special value only/qualifier only/source only constraints, there should just be one constraint that specifies which of the three should or shouldn't be allowed.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 2 2017, 6:01 PM

Change 381005 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add “used as value only” constraint type

https://gerrit.wikimedia.org/r/381005

Change 381005 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add “used as value only” constraint type

https://gerrit.wikimedia.org/r/381005

Lucas_Werkmeister_WMDE closed this task as Resolved.Oct 2 2017, 9:13 AM
Lucas_Werkmeister_WMDE claimed this task.

Change 382712 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Update method names in ValueOnlyCheckerTest

https://gerrit.wikimedia.org/r/382712

Change 382712 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Update method names in ValueOnlyCheckerTest

https://gerrit.wikimedia.org/r/382712